Method: users.dataTypes.dataPoints.get

Get a single identifyable data point.

HTTP request

GET https://health.googleapis.com/v4/{name=users/*/dataTypes/*/dataPoints/*}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
name

string

Required. The name of the data point to retrieve.

Format: users/{user}/dataTypes/{dataType}/dataPoints/{dataPoint}

See DataPoint.name for examples and possible values. It takes the form users/{user}/dataTypes/{datatype}/dataPoints/{datapoint}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of DataPoint.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/googlehealth.activity_and_fitness
  • https://www.googleapis.com/auth/googlehealth.activity_and_fitness.readonly
  • https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements
  • https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.readonly
  • https://www.googleapis.com/auth/googlehealth.location
  • https://www.googleapis.com/auth/googlehealth.location.readonly
  • https://www.googleapis.com/auth/googlehealth.nutrition
  • https://www.googleapis.com/auth/googlehealth.nutrition.readonly
  • https://www.googleapis.com/auth/googlehealth.sleep
  • https://www.googleapis.com/auth/googlehealth.sleep.readonly

For more information, see the OAuth 2.0 Overview.